phing-tasks-ext-dbdeploy

# Class: DbDeployTask Source Location: /tasks/ext/dbdeploy/DbDeployTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --DbDeployTask
Generate SQL script for db using dbdeploy schema version table and delta scripts #### Author(s): Luke Crouch at SourceForge (http://sourceforge.net) #### Version: $Revision: 552 $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Variables $dbmsSyntax $deltaSet $dir $lastChangeToApply $outputFile $password $TABLE_NAME $undoOutputFile $url $userid | ### Methods createFileSet doDeploy getAppliedChangeNumbers getDeltasFilesArray getLastChangeAppliedInDb main setDeltaSet setDir setLastChangeToApply setOutputFile setPassword setUndoOutputFile setUrl setUserId undoDeploy
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 36] Generate SQL script for db using dbdeploy schema version table and delta scripts <dbdeploy url="mysql:host=localhost;dbname=test" userid="dbdeploy" password="dbdeploy" dir="db" outputfile=""> #### Tags:
author: | Luke Crouch at SourceForge (http://sourceforge.net)
version: | $Revision: 552 $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Variables #### static $TABLE_NAME = 'changelog' [line 38] #### Tags:
access: | public
Type: | mixed
[ Top ] #### $dbmsSyntax = null [line 48] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $deltaSet = 'Main' [line 46] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $dir = [line 43] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $lastChangeToApply = 999 [line 47] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $outputFile = 'dbdeploy_deploy.sql' [line 44] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $password = [line 42] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $undoOutputFile = 'dbdeploy_undo.sql' [line 45] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $url = [line 40] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $userid = [line 41] #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### method createFileSet [line 186]
`FileSet createFileSet( )`
Add a new fileset. #### Tags:
access: | public
[ Top ] ### method doDeploy [line 97]
`void doDeploy( )`
[ Top ] ### method getAppliedChangeNumbers [line 78]
`void getAppliedChangeNumbers( )`
[ Top ] ### method getDeltasFilesArray [line 138]
`void getDeltasFilesArray( )`
[ Top ] ### method getLastChangeAppliedInDb [line 93]
`void getLastChangeAppliedInDb( )`
[ Top ] ### method main [line 50]
`void main( )`
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setDeltaSet [line 178]
`void setDeltaSet( $deltaSet)`
#### Parameters:
| $deltaSet |
[ Top ] ### method setDir [line 162]
`void setDir( $dir)`
#### Parameters:
| $dir |
[ Top ] ### method setLastChangeToApply [line 174]
`void setLastChangeToApply( $lastChangeToApply)`
#### Parameters:
| $lastChangeToApply |
[ Top ] ### method setOutputFile [line 166]
`void setOutputFile( $outputFile)`
#### Parameters:
| $outputFile |
[ Top ] ### method setPassword [line 158]
`void setPassword( $password)`
#### Parameters:
| $password |
[ Top ] ### method setUndoOutputFile [line 170]
`void setUndoOutputFile( $undoOutputFile)`
#### Parameters:
| $undoOutputFile |
[ Top ] ### method setUrl [line 150]
`void setUrl( $url)`
#### Parameters:
| $url |
[ Top ] ### method setUserId [line 154]
`void setUserId( $userid)`
#### Parameters:
| $userid |
[ Top ] ### method undoDeploy [line 119]
`void undoDeploy( )`
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:44 +0200 by phpDocumentor 1.4.3